NET_Server(3type)

NAME
NET_Server - The receiving end of a stream connection.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

typedef struct NET_Server NET_Server;

DESCRIPTION
This is an opaque datatype, to be treated by the app as a handle.

Internally, this is what BSD sockets refers to as a "listen socket". Clients attempt to connect to a server, and if the server accepts the connection, will provide the app with a stream socket to send and receive data over that connection.

AVAILABILITY
This datatype is available since SDL_net 3.0.0.

SEE ALSO
NET_CreateServer(3)